Subject: bug#57728: 29.0.50; Emacs writes wrong glyph at the bottom-right corner of text terminals

From: Akib Azmain Turja <[email-masked]>
Date: Mon, 12 Sep 2022 19:01:02 +0600

Akib Azmain Turja <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Akib Azmain Turja <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Mon, 12 Sep 2022 14:03:04 +0600
>>> 
>>> > Let me turn the table and ask you: why do you think that '\' is not
>>> > the usual continuation glyph that Emacs always produces when the width
>>> > of a screen line on a TTY frame is exceeded?
>>> >
>>> >
>>> >
>>> 
>>> OK, OK.  This title is misleading.  Showing the continuation glyph is
>>> not wrong, but it is unexpected, because Emacs doesn't write to the
>>> bottom-right corner.
>>
>> I've seen these continuation glyphs on every TTY display where I ever
>> used Emacs, so I'd consider it a surprise, if not a bug, that on some
>> TTYs those continuation glyphs were absent.  They should be there to
>> indicate to the user that the line is continued.
>>
>>> Perhaps I don't have the ability to express the problem in character, so
>>> I'm trying to pixel.  Can you please spend some seven and half minutes
>>> to watch the bug in the video I attached?
>>
>> Sorry, I cannot want videos of this format.
>
> What format should I use?  AFAIK, ogv is a free format.  How about
> asciicast (made with asciinema)?

Looks like others have figured out the problem; do I really need to
explain it?

-- 
Akib Azmain Turja

Find me on Mastodon at @[email-masked].

This message is signed by me with my GnuPG key.  Its fingerprint is:

    7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5